#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    int pref=0;
    int minn_pref=0;
    int res=a[0];
    for(i=1;i<=n;i++){
        pref+=a[i-1];
        if(pref-minn_pref>res){
            res=pref-minn_pref;
        }
        if(pref<minn_pref){
            minn_pref=pref;
        }
    }
    cout<<res<<endl;
    return 0;
}
